# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/regulator/rohm,bd9576-regulator.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ROHM BD9576 and BD9573 Power Management Integrated Circuit regulators

maintainers:
  - Matti Vaittinen <matti.vaittinen@fi.rohmeurope.com>

description: |
  This module is part of the ROHM BD9576 MFD device. For more details
  see Documentation/devicetree/bindings/mfd/rohm,bd9576-pmic.yaml.

  The regulator controller is represented as a sub-node of the PMIC node
  on the device tree.

  The valid names for BD9576 regulator nodes are
  regulator-vd50, regulator-vd18, regulator-vdddr, regulator-vd10,
  regulator-voutl1, regulator-vouts1

patternProperties:
  "regulator-.+":
    type: object
    description:
      Properties for single regulator.
    $ref: "regulator.yaml#"

    required:
      - regulator-name

    unevaluatedProperties: false
additionalProperties: false
